package com.th.demo.service.impl.ware;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.th.demo.mapping.ware.CombineRecordMapper;
import com.th.demo.model.system.Type;
import com.th.demo.model.ware.CombineRecord;
import com.th.demo.service.ware.CombineRecordService;
import com.th.demo.tools.JSONTools;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("CombineRecordService")
public class CombineRecordServiceImpl implements CombineRecordService {

    @Autowired
    public CombineRecordMapper combineRecordMapper;
    int num = 0;
    String result = Type.FAIL;


    @Override
    public String query(int page, int rows, String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId) {
        PageHelper.startPage(page, rows);
        List<CombineRecord> list=combineRecordMapper.select(  wareName,   stackName,model,materialName, standard, customerName,
                plateNo,fromDate,toDate,   userId,    belongId);
        PageInfo<CombineRecord> pageInfo = new PageInfo<>(list);
        result = JSONTools.toStringyyyyMMddHHmmss(pageInfo);
        return result;
    }
}
